System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.MessageContract(IsWrapped=false)

This class defines the information used to register the tuple of a peer node and a mesh ID with a peer resolver service. This information is inserted as an entry in the registration lookup table of the resolver service, which can be queried by other peers for the endpoint addresses of the inserted peer.

Instances of this class are created when (or an implementation of ) is called to register with a peer resolver service. They are primarily used to pass registration request information to a peer resolver service from a network client of that service.

Defines the peer registration information to be supplied to a peer resolver service.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the supplied client ID, mesh ID, and endpoint address(es).

  that uniquely identifies the peer node to be registered.
  that specifies the ID of the mesh in which the peer node participates.
  that specifies the endpoint address(es) of the peer node to be registered.
- Property
  4.0.0.0
  System.Guid To be added. To be added.

  Gets a that uniquely identifies the registration entry for a peer node.

- Method
  4.0.0.0
  System.Boolean To be added.

  Indicates whether the body of the message containing a serialized instance of this type is correctly formed.

  True if the registration information body is correctly-formed by the sender; false if it is not.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets a mesh ID associated with the registration entry.

- Property
  4.0.0.0
  System.ServiceModel.PeerNodeAddress To be added. To be added.

  Gets the endpoint address(es) to associate with the node that is registering with the resolver service.